#ifndef DATAMANAGER_H
#define DATAMANAGER_H

#include "edulist.h"
#include "stringset.h"

#define STORNO -1

void menu_print();
void todoitem();

void input_stringfield(const char * label, char* field, unsigned capacity);
void input_intfield(const char* label, int* field, int minvalue, int maxvalue);

EduList file_input(EduList);
EduList stdin_input(EduList);

StringSet teacherlist(EduList);
StringSet subjectlist(EduList);
StringSet grouplist(EduList);

void datafield_print(EduList, StringSet (*fieldlist)(EduList));
#endif // DATAMANAGER_H
