/*A tantrgyfeloszts bejegyzsek listja*/
#ifndef EDULIST_H
#define EDULIST_H

#include "edurec.h"

// listaelem
typedef struct edunode{
    EduRec adat;
    struct edunode* next;
}EduNode;

//lista
typedef struct edulist{
    EduNode* first;
    EduNode* last;
    int length;
}EduList;

//listaelem fggvnyek
EduNode* create_edunode(EduRec er);
void delete_edunode(EduNode* en);

//lista fggvnyek
EduList edulist_inic();
EduList edulist_append(EduList el, EduRec er);
EduNode* edulist_find(EduList el, EduRec er);
void edulist_delete(EduList* el, EduRec er);
void edulist_free(EduList* el);
void edulist_print(EduList el);

#endif // EDULIST_H
