#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>
#include "edurec.h"
#include "datamanager.h"


EduRec create_edurec(FILE* f)
{
	EduRec uj;
	uj.ora = STORNO;
	if(!feof(f)) {
		fgets(uj.teacher, TMAX + 1, f);
		if(strcmp(uj.teacher,"")==0)
			return uj;
		if(uj.teacher[strlen(uj.teacher)-1]== '\n')
			uj.teacher[strlen(uj.teacher)-1]= '\0';
		else if(!feof(f) && fgetc(f)!= '\n')
			while(fgetc(f) != '\n');
	}
	if(!feof(f)) {
		fgets(uj.subject, SMAX + 1, f);
		if(strcmp(uj.subject,"")==0)
			return uj;
		if(uj.subject[strlen(uj.subject)-1]== '\n')
			uj.subject[strlen(uj.subject)-1]= '\0';
		else if(!feof(f) && fgetc(f)!= '\n')
			while(fgetc(f) != '\n');
	}
	if(!feof(f)) {
		fgets(uj.group, GMAX + 1, f);
		if(strcmp(uj.group,"")==0)
			return uj;
		if(uj.group[strlen(uj.group)-1]== '\n')
			uj.group[strlen(uj.group)-1]= '\0';
		else if(!feof(f) && fgetc(f)!= '\n')
			while(fgetc(f) != '\n');
	}
	if(!feof(f)) {
		fscanf(f,"%d%*[^\n]", &uj.ora);
		fscanf(f,"%*c");
	}
	return uj;
}



EduRec input_edurec(char* labels[])
{
	EduRec uj;
	uj.ora = STORNO;
	input_stringfield(labels[0], uj.teacher, TMAX);
	if(strlen(uj.teacher) != 0) {
		input_stringfield(labels[1], uj.subject, SMAX);
		if(strlen(uj.subject) != 0) {
			input_stringfield(labels[2], uj.group, GMAX);
			if(strlen(uj.group) != 0) {
				input_intfield(labels[3], &uj.ora, 0, 40);
			}
		}
	}
	if(uj.ora == STORNO) {
		printf("\t\tEz a bejegyzs nem lesz mentve.\n");
	}
	return uj;
}

void lineprint_edurec(EduRec e)
{
	printf("| %-32s| %-22s| %-9s| %4u |\n",e.teacher,e.subject,e.group,e.ora);
}
