#ifndef EDUREC_H
#define EDUREC_H
#if defined(WIN32) || defined(_WIN32)
#include <windows.h>
#endif // defined

#include <stdio.h>

#define TMAX 30
#define SMAX 20
#define GMAX 7

typedef struct edurec
{
    char teacher[TMAX+1];
    char subject[SMAX+1];
    char group[GMAX+1];
    int ora;
}EduRec;

EduRec create_edurec(FILE* f);
EduRec input_edurec(char* labels[]);
void lineprint_edurec(EduRec e);

#endif // EDUREC_H
